<?xml version="1.0" encoding="UTF-8"?>
<configurationDescriptor version="65">
  <logicalFolder name="root" displayName="root" projectFiles="true">
    <logicalFolder name="HeaderFiles"
                   displayName="Header Files"
                   projectFiles="true">
      <itemPath>f_cpu.h</itemPath>
      <itemPath>nrf24l01-mnemonics.h</itemPath>
      <itemPath>nrf24l01.h</itemPath>
      <itemPath>pins.h</itemPath>
      <itemPath>radio.h</itemPath>
    </logicalFolder>
    <logicalFolder name="LinkerScript"
                   displayName="Linker Files"
                   projectFiles="true">
    </logicalFolder>
    <logicalFolder name="SourceFiles"
                   displayName="Source Files"
                   projectFiles="true">
      <itemPath>f_cpu.c</itemPath>
      <itemPath>main.c</itemPath>
      <itemPath>nrf24l01.c</itemPath>
      <itemPath>pins.c</itemPath>
      <itemPath>radio.c</itemPath>
    </logicalFolder>
    <logicalFolder name="ExternalFiles"
                   displayName="Important Files"
                   projectFiles="false">
      <itemPath>Makefile</itemPath>
    </logicalFolder>
  </logicalFolder>
  <sourceRootList>
    <Elem>.</Elem>
  </sourceRootList>
  <projectmakefile>Makefile</projectmakefile>
  <confs>
    <conf name="ISP" type="2">
      <toolsSet>
        <developmentServer>localhost</developmentServer>
        <targetDevice>ATmega328PB</targetDevice>
        <targetHeader></targetHeader>
        <targetPluginBoard></targetPluginBoard>
        <platformTool>pk4hybrid</platformTool>
        <languageToolchain>AVR</languageToolchain>
        <languageToolchainVersion>1.00</languageToolchainVersion>
        <platform>3</platform>
      </toolsSet>
      <packs>
        <pack name="ATmega_DFP" vendor="Microchip" version="2.2.108"/>
      </packs>
      <ScriptingSettings>
      </ScriptingSettings>
      <compileType>
        <linkerTool>
          <linkerLibItems>
          </linkerLibItems>
        </linkerTool>
        <archiverTool>
        </archiverTool>
        <loading>
          <useAlternateLoadableFile>false</useAlternateLoadableFile>
          <parseOnProdLoad>false</parseOnProdLoad>
          <alternateLoadableFile></alternateLoadableFile>
        </loading>
        <subordinates>
        </subordinates>
      </compileType>
      <makeCustomizationType>
        <makeCustomizationPreStepEnabled>false</makeCustomizationPreStepEnabled>
        <makeUseCleanTarget>false</makeUseCleanTarget>
        <makeCustomizationPreStep></makeCustomizationPreStep>
        <makeCustomizationPostStepEnabled>false</makeCustomizationPostStepEnabled>
        <makeCustomizationPostStep></makeCustomizationPostStep>
        <makeCustomizationPutChecksumInUserID>false</makeCustomizationPutChecksumInUserID>
        <makeCustomizationEnableLongLines>false</makeCustomizationEnableLongLines>
        <makeCustomizationNormalizeHexFile>false</makeCustomizationNormalizeHexFile>
      </makeCustomizationType>
      <AVR-AR>
        <property key="archiver-flags" value="-r"/>
      </AVR-AR>
      <AVR-AS>
        <property key="announce-version" value="false"/>
        <property key="include-paths" value=""/>
        <property key="suppress-warnings" value="false"/>
      </AVR-AS>
      <AVR-AS-PRE>
        <property key="announce-version" value="false"/>
        <property key="include-paths" value=""/>
        <property key="preprocessor-macros" value=""/>
        <property key="preprocessor-macros-undefined" value=""/>
        <property key="suppress-warnings" value="false"/>
      </AVR-AS-PRE>
      <AVR-CPP>
        <property key="additional-warnings" value="true"/>
        <property key="call-prologues" value="false"/>
        <property key="default-bitfield-type" value="true"/>
        <property key="default-char-type" value="true"/>
        <property key="extra-include-directories" value=""/>
        <property key="garbage-collect-data" value="true"/>
        <property key="garbage-collect-functions" value="true"/>
        <property key="inhibit-all" value="false"/>
        <property key="make-warnings-into-errors" value="false"/>
        <property key="no-interrupts" value="false"/>
        <property key="no-system-directories" value="false"/>
        <property key="optimization-level" value="-Os"/>
        <property key="pack-struct" value="true"/>
        <property key="preprocess-only" value="false"/>
        <property key="preprocessor-macros" value=""/>
        <property key="preprocessor-macros-undefined" value=""/>
        <property key="save-temps" value="false"/>
        <property key="short-calls" value="false"/>
        <property key="short-enums" value="true"/>
        <property key="strict-ansi" value="false"/>
        <property key="strict-ansi-errors" value="false"/>
        <property key="support-ansi" value="false"/>
        <property key="syntax-only" value="false"/>
        <property key="undefined-identifier" value="false"/>
        <property key="verbose" value="false"/>
      </AVR-CPP>
      <AVR-GCC>
        <property key="additional-warnings" value="true"/>
        <property key="call-prologues" value="false"/>
        <property key="default-bitfield-type" value="true"/>
        <property key="default-char-type" value="true"/>
        <property key="extra-include-directories" value=""/>
        <property key="extra-warnings" value="false"/>
        <property key="garbage-collect-data" value="true"/>
        <property key="garbage-collect-functions" value="true"/>
        <property key="inhibit-all" value="false"/>
        <property key="make-warnings-into-errors" value="false"/>
        <property key="no-interrupts" value="false"/>
        <property key="no-system-directories" value="false"/>
        <property key="optimization-level" value="-Os"/>
        <property key="pack-struct" value="true"/>
        <property key="preprocessor-macros" value=""/>
        <property key="preprocessor-macros-undefined" value=""/>
        <property key="save-temps" value="false"/>
        <property key="short-calls" value="false"/>
        <property key="short-enums" value="true"/>
        <property key="strict-ansi" value="false"/>
        <property key="strict-ansi-errors" value="false"/>
        <property key="support-ansi" value="false"/>
        <property key="syntax-only" value="false"/>
        <property key="undefined-identifier" value="false"/>
        <property key="verbose" value="false"/>
      </AVR-GCC>
      <AVR-Global>
        <property key="common-include-directories" value=""/>
        <property key="eep" value="false"/>
        <property key="external-ram-check" value="false"/>
        <property key="hex" value="true"/>
        <property key="lss" value="false"/>
        <property key="omit-pack-options" value="false"/>
        <property key="relax-branches" value="false"/>
        <property key="srec" value="false"/>
        <property key="user-pack-device-support" value=""/>
        <property key="user-pack-include" value=""/>
        <property key="usersig" value="false"/>
      </AVR-Global>
      <AVR-LD>
        <property key="eeprom-segment" value=""/>
        <property key="exclude-standard-libraries" value="false"/>
        <property key="extra-lib-directories" value=""/>
        <property key="flash-segment" value=""/>
        <property key="generate-map-file" value="true"/>
        <property key="initial-stack-address" value=""/>
        <property key="input-libraries" value="libm"/>
        <property key="no-default-libs" value="false"/>
        <property key="no-shared-libraries" value="false"/>
        <property key="no-startup-files" value="false"/>
        <property key="omit-symbol-information" value="false"/>
        <property key="other-options" value=""/>
        <property key="remove-unused-sections" value="true"/>
        <property key="rodata-writable" value="false"/>
        <property key="sram-segment" value=""/>
        <property key="v-printf" value="false"/>
      </AVR-LD>
      <pk4hybrid>
        <property key="AutoSelectMemRanges" value="auto"/>
        <property key="SecureSegment.SegmentProgramming" value="FullChipProgramming"/>
        <property key="ToolFirmwareFilePath"
                  value="Press to browse for a specific firmware version"/>
        <property key="ToolFirmwareOption.UpdateOptions"
                  value="ToolFirmwareOption.UseLatest"/>
        <property key="ToolFirmwareToolPack"
                  value="Press to select which tool pack to use"/>
        <property key="communication.activationmode" value="nohv"/>
        <property key="communication.interface" value="isp"/>
        <property key="communication.interface.jtag" value="2wire"/>
        <property key="communication.speed" value="0.75"/>
        <property key="debugoptions.useswbreakpoints" value="true"/>
        <property key="freeze.timers" value="false"/>
        <property key="memories.aux" value="false"/>
        <property key="memories.bootflash" value="true"/>
        <property key="memories.configurationmemory" value="true"/>
        <property key="memories.configurationmemory2" value="true"/>
        <property key="memories.dataflash" value="true"/>
        <property key="memories.eeprom" value="true"/>
        <property key="memories.exclude.configurationmemory" value="true"/>
        <property key="memories.flashdata" value="true"/>
        <property key="memories.id" value="true"/>
        <property key="memories.instruction.ram.ranges"
                  value="${memories.instruction.ram.ranges}"/>
        <property key="memories.programmemory" value="true"/>
        <property key="memories.programmemory.ranges" value="0-3fff"/>
        <property key="memories.rww" value="true"/>
        <property key="poweroptions.powerenable" value="false"/>
        <property key="programmerToGoFilePath"
                  value="C:/workspace/atmega328pb/flits-trigger/transmitter/debug/ISP/default_ptg"/>
        <property key="programmerToGoImageName" value="default_ptg"/>
        <property key="programoptions.donoteraseauxmem" value="false"/>
        <property key="programoptions.eraseb4program" value="true"/>
        <property key="programoptions.ledbrightness" value="5"/>
        <property key="programoptions.pgcconfig" value="pull down"/>
        <property key="programoptions.pgcresistor.value" value="4.7"/>
        <property key="programoptions.pgdconfig" value="pull down"/>
        <property key="programoptions.pgdresistor.value" value="4.7"/>
        <property key="programoptions.pgmentry.voltage" value="low"/>
        <property key="programoptions.pgmspeed" value="Med"/>
        <property key="programoptions.preservedataflash" value="false"/>
        <property key="programoptions.preservedataflash.ranges" value="0-3ff"/>
        <property key="programoptions.preserveeeprom" value="false"/>
        <property key="programoptions.preserveeeprom.ranges" value=""/>
        <property key="programoptions.preserveprogram.ranges" value=""/>
        <property key="programoptions.preserveprogramrange" value="false"/>
        <property key="programoptions.preserveuserid" value="false"/>
        <property key="programoptions.programcalmem" value="false"/>
        <property key="programoptions.programuserotp" value="false"/>
        <property key="programoptions.testmodeentrymethod" value="VDDFirst"/>
        <property key="ptgProgramImage" value="true"/>
        <property key="ptgSendImage" value="true"/>
        <property key="toolpack.updateoptions"
                  value="toolpack.updateoptions.uselatestoolpack"/>
        <property key="toolpack.updateoptions.packversion"
                  value="Press to select which tool pack to use"/>
        <property key="voltagevalue" value="5.0"/>
      </pk4hybrid>
    </conf>
    <conf name="debugWIRE" type="2">
      <toolsSet>
        <developmentServer>localhost</developmentServer>
        <targetDevice>ATmega328PB</targetDevice>
        <targetHeader></targetHeader>
        <targetPluginBoard></targetPluginBoard>
        <platformTool>pk4hybrid</platformTool>
        <languageToolchain>AVR</languageToolchain>
        <languageToolchainVersion>1.00</languageToolchainVersion>
        <platform>3</platform>
      </toolsSet>
      <packs>
        <pack name="ATmega_DFP" vendor="Microchip" version="2.2.108"/>
      </packs>
      <ScriptingSettings>
      </ScriptingSettings>
      <compileType>
        <linkerTool>
          <linkerLibItems>
          </linkerLibItems>
        </linkerTool>
        <archiverTool>
        </archiverTool>
        <loading>
          <useAlternateLoadableFile>false</useAlternateLoadableFile>
          <parseOnProdLoad>false</parseOnProdLoad>
          <alternateLoadableFile></alternateLoadableFile>
        </loading>
        <subordinates>
        </subordinates>
      </compileType>
      <makeCustomizationType>
        <makeCustomizationPreStepEnabled>false</makeCustomizationPreStepEnabled>
        <makeUseCleanTarget>false</makeUseCleanTarget>
        <makeCustomizationPreStep></makeCustomizationPreStep>
        <makeCustomizationPostStepEnabled>false</makeCustomizationPostStepEnabled>
        <makeCustomizationPostStep></makeCustomizationPostStep>
        <makeCustomizationPutChecksumInUserID>false</makeCustomizationPutChecksumInUserID>
        <makeCustomizationEnableLongLines>false</makeCustomizationEnableLongLines>
        <makeCustomizationNormalizeHexFile>false</makeCustomizationNormalizeHexFile>
      </makeCustomizationType>
      <AVR-AR>
        <property key="archiver-flags" value="-r"/>
      </AVR-AR>
      <AVR-AS>
        <property key="announce-version" value="false"/>
        <property key="include-paths" value=""/>
        <property key="suppress-warnings" value="false"/>
      </AVR-AS>
      <AVR-AS-PRE>
        <property key="announce-version" value="false"/>
        <property key="include-paths" value=""/>
        <property key="preprocessor-macros" value=""/>
        <property key="preprocessor-macros-undefined" value=""/>
        <property key="suppress-warnings" value="false"/>
      </AVR-AS-PRE>
      <AVR-CPP>
        <property key="additional-warnings" value="true"/>
        <property key="call-prologues" value="false"/>
        <property key="default-bitfield-type" value="true"/>
        <property key="default-char-type" value="true"/>
        <property key="extra-include-directories" value=""/>
        <property key="garbage-collect-data" value="true"/>
        <property key="garbage-collect-functions" value="true"/>
        <property key="inhibit-all" value="false"/>
        <property key="make-warnings-into-errors" value="false"/>
        <property key="no-interrupts" value="false"/>
        <property key="no-system-directories" value="false"/>
        <property key="optimization-level" value="-Os"/>
        <property key="pack-struct" value="true"/>
        <property key="preprocess-only" value="false"/>
        <property key="preprocessor-macros" value=""/>
        <property key="preprocessor-macros-undefined" value=""/>
        <property key="save-temps" value="false"/>
        <property key="short-calls" value="false"/>
        <property key="short-enums" value="true"/>
        <property key="strict-ansi" value="false"/>
        <property key="strict-ansi-errors" value="false"/>
        <property key="support-ansi" value="false"/>
        <property key="syntax-only" value="false"/>
        <property key="undefined-identifier" value="false"/>
        <property key="verbose" value="false"/>
      </AVR-CPP>
      <AVR-GCC>
        <property key="additional-warnings" value="true"/>
        <property key="call-prologues" value="false"/>
        <property key="default-bitfield-type" value="true"/>
        <property key="default-char-type" value="true"/>
        <property key="extra-include-directories" value=""/>
        <property key="extra-warnings" value="false"/>
        <property key="garbage-collect-data" value="true"/>
        <property key="garbage-collect-functions" value="true"/>
        <property key="inhibit-all" value="false"/>
        <property key="make-warnings-into-errors" value="false"/>
        <property key="no-interrupts" value="false"/>
        <property key="no-system-directories" value="false"/>
        <property key="optimization-level" value="-Os"/>
        <property key="pack-struct" value="true"/>
        <property key="preprocessor-macros" value=""/>
        <property key="preprocessor-macros-undefined" value=""/>
        <property key="save-temps" value="false"/>
        <property key="short-calls" value="false"/>
        <property key="short-enums" value="true"/>
        <property key="strict-ansi" value="false"/>
        <property key="strict-ansi-errors" value="false"/>
        <property key="support-ansi" value="false"/>
        <property key="syntax-only" value="false"/>
        <property key="undefined-identifier" value="false"/>
        <property key="verbose" value="false"/>
      </AVR-GCC>
      <AVR-Global>
        <property key="common-include-directories" value=""/>
        <property key="eep" value="false"/>
        <property key="external-ram-check" value="false"/>
        <property key="hex" value="true"/>
        <property key="lss" value="false"/>
        <property key="omit-pack-options" value="false"/>
        <property key="relax-branches" value="false"/>
        <property key="srec" value="false"/>
        <property key="user-pack-device-support" value=""/>
        <property key="user-pack-include" value=""/>
        <property key="usersig" value="false"/>
      </AVR-Global>
      <AVR-LD>
        <property key="eeprom-segment" value=""/>
        <property key="exclude-standard-libraries" value="false"/>
        <property key="extra-lib-directories" value=""/>
        <property key="flash-segment" value=""/>
        <property key="generate-map-file" value="true"/>
        <property key="initial-stack-address" value=""/>
        <property key="input-libraries" value="libm"/>
        <property key="no-default-libs" value="false"/>
        <property key="no-shared-libraries" value="false"/>
        <property key="no-startup-files" value="false"/>
        <property key="omit-symbol-information" value="false"/>
        <property key="other-options" value=""/>
        <property key="remove-unused-sections" value="true"/>
        <property key="rodata-writable" value="false"/>
        <property key="sram-segment" value=""/>
        <property key="v-printf" value="false"/>
      </AVR-LD>
      <pk4hybrid>
        <property key="AutoSelectMemRanges" value="auto"/>
        <property key="SecureSegment.SegmentProgramming" value="FullChipProgramming"/>
        <property key="ToolFirmwareFilePath"
                  value="Press to browse for a specific firmware version"/>
        <property key="ToolFirmwareOption.UpdateOptions"
                  value="ToolFirmwareOption.UseLatest"/>
        <property key="ToolFirmwareToolPack"
                  value="Press to select which tool pack to use"/>
        <property key="communication.activationmode" value="nohv"/>
        <property key="communication.interface" value="dw"/>
        <property key="communication.interface.jtag" value="2wire"/>
        <property key="communication.speed" value="0.75"/>
        <property key="debugoptions.useswbreakpoints" value="true"/>
        <property key="freeze.timers" value="false"/>
        <property key="memories.aux" value="false"/>
        <property key="memories.bootflash" value="true"/>
        <property key="memories.configurationmemory" value="true"/>
        <property key="memories.configurationmemory2" value="true"/>
        <property key="memories.dataflash" value="true"/>
        <property key="memories.eeprom" value="true"/>
        <property key="memories.exclude.configurationmemory" value="true"/>
        <property key="memories.flashdata" value="true"/>
        <property key="memories.id" value="true"/>
        <property key="memories.instruction.ram.ranges"
                  value="${memories.instruction.ram.ranges}"/>
        <property key="memories.programmemory" value="true"/>
        <property key="memories.programmemory.ranges" value="0-3fff"/>
        <property key="memories.rww" value="true"/>
        <property key="poweroptions.powerenable" value="false"/>
        <property key="programmerToGoFilePath"
                  value="C:/workspace/atmega328pb/flits-trigger/transmitter/debug/debugWIRE/default_ptg"/>
        <property key="programmerToGoImageName" value="default_ptg"/>
        <property key="programoptions.donoteraseauxmem" value="false"/>
        <property key="programoptions.eraseb4program" value="true"/>
        <property key="programoptions.ledbrightness" value="5"/>
        <property key="programoptions.pgcconfig" value="pull down"/>
        <property key="programoptions.pgcresistor.value" value="4.7"/>
        <property key="programoptions.pgdconfig" value="pull down"/>
        <property key="programoptions.pgdresistor.value" value="4.7"/>
        <property key="programoptions.pgmentry.voltage" value="low"/>
        <property key="programoptions.pgmspeed" value="Med"/>
        <property key="programoptions.preservedataflash" value="false"/>
        <property key="programoptions.preservedataflash.ranges" value="0-3ff"/>
        <property key="programoptions.preserveeeprom" value="false"/>
        <property key="programoptions.preserveeeprom.ranges" value=""/>
        <property key="programoptions.preserveprogram.ranges" value=""/>
        <property key="programoptions.preserveprogramrange" value="false"/>
        <property key="programoptions.preserveuserid" value="false"/>
        <property key="programoptions.programcalmem" value="false"/>
        <property key="programoptions.programuserotp" value="false"/>
        <property key="programoptions.testmodeentrymethod" value="VDDFirst"/>
        <property key="ptgProgramImage" value="true"/>
        <property key="ptgSendImage" value="true"/>
        <property key="toolpack.updateoptions"
                  value="toolpack.updateoptions.uselatestoolpack"/>
        <property key="toolpack.updateoptions.packversion"
                  value="Press to select which tool pack to use"/>
        <property key="voltagevalue" value="5.0"/>
      </pk4hybrid>
    </conf>
  </confs>
</configurationDescriptor>
